Failed to build mlnx-rdma-rxe 4.7 RPM

I tried to recompile the mellanox infiniband driver but I get the next error when I run the command:

/mnt/mlnxofedinstall --add-kernel-support

Logs

Build mlnx-rdma-rxe 4.7 RPM

Running rpmbuild --rebuild --define ‘_topdir /tmp/MLNX_OFED_LINUX-4.5-1.0.1.0-4.14.0-115.29.1.el7a.ppc64le/mlnx_iso.126164/OFED_topdir’ --define ‘_sourcedir %{_topdir}/SOURCES’ --define ‘_specdir %{_topdir}/SPECS’ --define ‘_srcrpmdir %{_topdir}/SRPMS’ --define ‘_rpmdir %{_topdir}/RPMS’ --define ‘src_release OFED.4.5.1.0.1.1.gb4fdfac.kver.4.14.0_115.29.1.el7a.ppc64le’ --define ‘KVERSION 4.14.0-115.29.1.el7a.ppc64le’ --define ‘K_SRC /lib/modules/4.14.0-115.29.1.el7a.ppc64le/build’ --define ‘_prefix /usr’ /tmp/MLNX_OFED_LINUX-4.5-1.0.1.0-4.14.0-115.29.1.el7a.ppc64le/mlnx_iso.126164/MLNX_OFED_SRC-4.5-1.0.1.0/SRPMS/mlnx-rdma-rxe-4.5-OFED.4.5.1.0.1.1.gb4fdfac.src.rpm

Failed to build mlnx-rdma-rxe 4.7 RPM

Information about my Server:

IBM Power Systems AC922

Red Hat Enterprise Linux Server release 7.6 (Maipo)

Linux SinergiaAC922 4.14.0-115.29.1.el7a.ppc64le #1 SMP Tue Jul 28 22:41:18 UTC 2020 ppc64le ppc64le ppc64le GNU/Linux

MLNX_OFED_LINUX-4.7-3.2.9.1-rhel7.6alternate-ppc64le.iso

Thanks.

HI Americo,

Which image are you using ?

RHEL/CentOS 7.6 or RHEL/CentOS 7.6 alternate ?

Did you try to use the latest MLNX_OFED 5.2-1.0.4.0

https://www.mellanox.com/products/infiniband-drivers/linux/mlnx_ofed

Thanks,

Samer